local remap = vim.api.nvim_set_keymap

remap('n', 'ghr', ':SignifyHunkUndo<CR>', { noremap = true })
remap('n', 'ghp', ':SignifyHunkDiff<CR>', { noremap = true })
remap('n', ']c',  '<Plug>(signify-next-hunk)', { noremap = false })
remap('n', '[c',  '<Plug>(signify-prev-hunk)', { noremap = false })
remap('n', ']C',  '9999]c', { noremap = false })
remap('n', '[C',  '9999[c', { noremap = false })
remap('o', 'ih',  '<Plug>(signify-motion-inner-pending)', { noremap = false })
remap('x', 'ih',  '<Plug>(signify-motion-inner-visual)',  { noremap = false })
remap('o', 'ah',  '<Plug>(signify-motion-outer-pending)', { noremap = false })
remap('x', 'ah',  '<Plug>(signify-motion-outer-visual)',  { noremap = false })
